Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Overweight Permit# 2021-02415, UID# 3075
App. Status: Expired

Valid: 07/06/2021 - 07/09/2021
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2781 (07/02/2021)

Charge Cost Quantity Total
Non-Taxable
added 07/02/2021 8:27 AM

Select this fee if the empty load is overlength. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
added 07/02/2021 8:27 AM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
Grand Total
Total $60.00
Payment 07/02/2021$60.00
Due$0.00
Action: Print  

Invoice #2783 (07/06/2021)

Charge Cost Quantity Total
Non-Taxable
added 07/06/2021 10:45 AM

For movement on Plant Road

$60.00 x 1 $60.00
Grand Total
Total $60.00
Payment 07/06/2021$60.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantLance W. Hjelmen - 07/02/2021 8:28 AM
abeb6e3826fd1b5ef4690f18226841fe
38489cbadb14810b659d147f7a03d9cf
 
#1 Permit Issuing OfficialRachel Grimm - 07/06/2021 10:46 AM
7fb772fbfcb96b0f314ea2063890ce93
b0bf3b0678c5c4e389e9ac09972555b4
 
Permit has been approved. All signatures have been obtained.